Bug 814175 - gwt-common compilation fails on Fedora 17 (Maven 3 / Java 1.7)
gwt-common compilation fails on Fedora 17 (Maven 3 / Java 1.7)
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Asaf Shakarchi
infra
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 06:38 EDT by Yaniv Kaul
Modified: 2013-07-03 22:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-02 03:55:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-04-19 06:38:02 EDT
Description of problem:
Trying to compile the ovirt project on Fedora 17, which has Maven 3 and JDK 7, fails on gwt-common:
[INFO] --- maven-compiler-plugin:2.3.2:compile (default-compile) @ gwt-common ---
[INFO] Compiling 278 source files to /home/ykaul/ovirt-engine/frontend/webadmin/modules/gwt-common/target/classes
[INFO] -------------------------------------------------------------
[ERROR] COMPILATION ERROR : 
[INFO] -------------------------------------------------------------
[ERROR] /home/ykaul/ovirt-engine/frontend/webadmin/modules/gwt-common/src/main/java/org/ovirt/engine/ui/common/widget/table/column/EntityModelTextColumn.java:[15,18] error: name clash: getValue(EntityModel) in EntityModelTextColumn overrides a method whose erasure is the same as another method, yet neither overrides the other
[ERROR] 
    T#1 extends Object declared in class EntityModelTextColumn
    T#2 extends Object declared in class Column
    C extends Object declared in class Column
/home/ykaul/ovirt-engine/frontend/webadmin/modules/gwt-common/src/main/java/org/ovirt/engine/ui/common/widget/table/column/EntityModelTextColumn.java:[25,30] error: name clash: getValue(T#1) in EntityModelTextColumn and getValue(T#2) in Column have the same erasure, yet neither overrides the other
[ERROR] 
    T#1 extends Object declared in class EntityModelTextColumn
    T#2 extends Object declared in class Column
    C extends Object declared in class Column
/home/ykaul/ovirt-engine/frontend/webadmin/modules/gwt-common/src/main/java/org/ovirt/engine/ui/common/widget/editor/ObservableValueBoxEditor.java:[15,43] error: name clash: of(ValueBoxBase<Object>) in ObservableValueBoxEditor and <T>of(ValueBoxBase<T>) in ValueBoxEditor have the same erasure, yet neither hides the other
[ERROR] 
    T extends Object declared in method <T>of(ValueBoxBase<T>)
/home/ykaul/ovirt-engine/frontend/webadmin/modules/gwt-common/src/main/java/org/ovirt/engine/ui/common/widget/table/column/EntityModelEnumColumn.java:[17,16] error: name clash: getRawValue(EntityModel) in EntityModelEnumColumn overrides a method whose erasure is the same as another method, yet neither overrides the other
[ERROR] 
    E extends Enum<E> declared in class EntityModelEnumColumn
    T#1 extends Object declared in class EntityModelEnumColumn
    T#2 extends Object declared in class RenderedTextColumn
    C extends Object declared in class RenderedTextColumn
/home/ykaul/ovirt-engine/frontend/webadmin/modules/gwt-common/src/main/java/org/ovirt/engine/ui/common/widget/table/column/EntityModelEnumColumn.java:[27,25] error: name clash: getRawValue(T#1) in EntityModelEnumColumn and getRawValue(T#2) in RenderedTextColumn have the same erasure, yet neither overrides the other
[INFO] 5 errors

Version-Release number of selected component (if applicable):
git hash b9a6f23be188e2bf4d56f8b548db1b2536372385

How reproducible:


Steps to Reproduce:
1.mvn clean install -Pgwt-admin,gwt-user -DskipTests=true -Dmaven.test.skip=true
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Itamar Heim 2012-06-05 11:16:32 EDT
fixed already?
Comment 2 Asaf Shakarchi 2012-06-25 10:41:20 EDT
We had some changes during last months related to Maven 3 and JDK 7,

Tested now on Fedora 17 and OpenJDK 1.7 (javac 1.7.0_03) and the entire project was built successfully.

Yaniv, can you  verify that the maven command successfully builds the project ?
Comment 3 Yaniv Kaul 2012-07-02 03:55:00 EDT
Compiles well.
Tested with hash e99aea992d3440514f282813fbf13d815d3534be
Java 1.7.0_03-icedtea
mvn 3.0.4
Comment 4 Yaniv Kaul 2012-07-02 04:03:02 EDT
I am getting some errors such as:

[INFO]       Compiling permutation 0...
[INFO]       Process output
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info AspectJ Weaver Version 1.6.11 built on Tuesday Mar 15, 2011 at 15:31:04 GMT
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info register classloader sun.misc.Launcher$AppClassLoader@5dc37b8f
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info using configuration file:/home/ykaul/ovirt-engine/frontend/webadmin/modules/gwt-extension/target/gwt-extension-3.1.0.jar!/META-INF/aop.xml
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info using configuration file:/home/ykaul/ovirt-engine/frontend/webadmin/modules/gwt-extension/target/gwt-extension-3.1.0-sources.jar!/META-INF/aop.xml
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info register aspect org.ovirt.engine.ui.gwtextension.DontPrune
[INFO]       Process output
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info AspectJ Weaver Version 1.6.11 built on Tuesday Mar 15, 2011 at 15:31:04 GMT
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info register classloader sun.misc.Launcher$AppClassLoader@5dc37b8f
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info using configuration file:/home/ykaul/ovirt-engine/frontend/webadmin/modules/gwt-extension/target/gwt-extension-3.1.0.jar!/META-INF/aop.xml
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info using configuration file:/home/ykaul/ovirt-engine/frontend/webadmin/modules/gwt-extension/target/gwt-extension-3.1.0-sources.jar!/META-INF/aop.xml
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info register aspect org.ovirt.engine.ui.gwtextension.DontPrune
[INFO]       Process output
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info AspectJ Weaver Version 1.6.11 built on Tuesday Mar 15, 2011 at 15:31:04 GMT
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info register classloader sun.misc.Launcher$AppClassLoader@5dc37b8f
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info using configuration file:/home/ykaul/ovirt-engine/frontend/webadmin/modules/gwt-extension/target/gwt-extension-3.1.0.jar!/META-INF/aop.xml
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info using configuration file:/home/ykaul/ovirt-engine/frontend/webadmin/modules/gwt-extension/target/gwt-extension-3.1.0-sources.jar!/META-INF/aop.xml
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info register aspect org.ovirt.engine.ui.gwtextension.DontPrune
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info register aspect org.ovirt.engine.ui.gwtextension.DontPrune
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info register aspect org.ovirt.engine.ui.gwtextension.DontPrune
[INFO]          [ERROR] [AppClassLoader@5dc37b8f] info register aspect org.ovirt.engine.ui.gwtextension.DontPrune
[INFO]          Compiling
Comment 5 Asaf Shakarchi 2012-07-02 05:38:31 EDT
Please ignore these errors,
It's just aspectj throws messages into stder instead of stdout


Thanks.

Note You need to log in before you can comment on or make changes to this bug.